> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.usebridge.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.usebridge.com/_mcp/server.

# Get ProviderEligibility

GET https://app.usebridge.com/api/provider-eligibility/{id}

Reference: https://docs.usebridge.com/api/api-reference/provider-eligibility/get-provider-eligibility

## Authentication

- `X-API-Key` header (required) — API Key authentication via header

## Servers

- `https://app.usebridge.com` (Production, default)
- `https://app.usebridge.xyz` (Sandbox)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

- `id` (string, required)
- `validatedAt` (datetime, required) — Timestamp this was executed
- `dateOfService` (datetime, required)
- `serviceTypeId` (string, required)
- `location` (ProviderEligibilityGetV1ResponseLocation, required)
- `payerId` (string, required)
- `status` (enum, required) — The eligibility status of this check. Note, the patient may be eligible on a location/payer-basis, but providers are not available. Use a combination of this _and_ the `providers` array to determine next steps.
  - Allowed values: `ELIGIBLE`, `INELIGIBLE`
- `providers` (list of ProviderEligibilityGetV1ResponseProvider, required)

## Types

### ProviderEligibilityGetV1ResponseLocation

- `state` (enum, required) — 2 letter US state code
  - Allowed values: `AL`, `AK`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DE`, `DC`, `FL`, `GA`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MI`, `MN`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`
- `line1` (string, optional)
- `line2` (string, optional)
- `city` (string, optional)
- `postalCode` (string, optional)
- `country` (enum, optional)
  - Allowed values: `US`

### ProviderEligibilityGetV1ResponseProvider

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `MD`, `NP`, `DO`, `ND`, `AP`, `OT`, `LCSW`, `LMFT`, `LPC`, `PSYCH`, `RN`, `CN`, `CWC`, `CM`, `PA`, `RDN`, `PT`
- `npi` (string, required)
- `externalId` (string, optional)
- `providerEligibilityEnabled` (boolean, optional)
- `serviceEligibilityEnabled` (boolean, optional)

## Examples

**Response**

```json
{
  "id": "id",
  "validatedAt": "2024-01-15T09:30:00Z",
  "dateOfService": "2024-01-15T09:30:00Z",
  "serviceTypeId": "serviceTypeId",
  "location": {
    "state": "AL",
    "line1": "line1",
    "line2": "line2",
    "city": "city",
    "postalCode": "postalCode",
    "country": "US"
  },
  "payerId": "payerId",
  "status": "ELIGIBLE",
  "providers": [
    {
      "id": "id",
      "name": "name",
      "type": "MD",
      "npi": "npi",
      "externalId": "externalId",
      "providerEligibilityEnabled": true,
      "serviceEligibilityEnabled": true
    },
    {
      "id": "id",
      "name": "name",
      "type": "MD",
      "npi": "npi",
      "externalId": "externalId",
      "providerEligibilityEnabled": true,
      "serviceEligibilityEnabled": true
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://app.usebridge.com/api/provider-eligibility/id"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.usebridge.com/api/provider-eligibility/id';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.usebridge.com/api/provider-eligibility/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.usebridge.com/api/provider-eligibility/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.usebridge.com/api/provider-eligibility/id")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.usebridge.com/api/provider-eligibility/id', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.usebridge.com/api/provider-eligibility/id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.usebridge.com/api/provider-eligibility/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```